version: '3'
services:
  sepomex:
    image: 'node:13-alpine'
    user: 'node'
    working_dir: '/home/node/app'
    environment:
      - NODE_ENV=development
      - MONGO_URL=mongodb://database/sepomex
    volumes:
      - ./:/home/node/app
    ports:
      - '3000:3000'
    depends_on:
      - mongodb
      - elastic
    command: 'sh ./docker-runner.sh'
    links:
      - 'mongodb:database'
      - 'elastic:elastic'
    restart: always

  elastic:
    image: 'docker.elastic.co/elasticsearch/elasticsearch:7.6.1'
    ports:
      - '9200:9200'
      - '9300:9300'
    volumes:
    - './elastic-data:/usr/share/elasticsearch/data'

    environment:
      - discovery.type=single-node

  mongodb:
    image: 'mongo'
    ports:
      - '27017:27017'
    volumes:
      - './mongodb-data:/data/db'
